Inspect

Archive memory

Archive a stale, superseded, or no-longer-relevant memory.

Base URL
POST
/api/public/v1/memories/{memory_id}/archive

Archive a stale, superseded, or no-longer-relevant memory.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

memory_id*string

Request Body

application/json
  1. body

Values are trimmed before length limits are checked.

reason?Memories.MemoryArchiveReason
Length1 <= length <= 500

Response Body

Archived memory

application/json
  1. response
data*
Example Request
curl -X POST 'https://your-org.inspect.com/api/public/v1/memories/string/archive' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "memory": {      "id": "string",      "title": "string",      "content": "string",      "description": "string",      "memoryType": "fact",      "archivedAt": "2019-08-24T14:15:22Z",      "archivedReason": "string"    }  }}